/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * 单表生成Entity
 * 
 * @author zhouyd
 * @version 2018-06-28
 */
public class MdeJobInvitationRel extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2891504002547757125L;

	@NotNull(message = "职位Id不能为空|Position cannot be empty")
	private Integer jobId;

	@NotBlank(message = "被邀请用户code 不能为空|Invited user code cannot be empty")
	private String userCode; // 被邀请用户code

	private String publisher; // 发布者code

	@NotEmpty(message = "职位名称不能为空 |Job title cannot be empty ")
	private String jobName; // 职位名称

	@NotEmpty(message = "邀请内容不能为空 |Invitation content cannot be empty")
	private String invitation; // 邀请内容

	private String status; // 邀请状态（0.新邀请1.已读）

	public Integer getJobId() {
		return jobId;
	}

	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getInvitation() {
		return invitation;
	}

	public void setInvitation(String invitation) {
		this.invitation = invitation;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}